Subject: Re: [PATCH net-next 00/11] net: stmmac: Selftests

From: Corentin Labbe <[email-masked]>
Date: Thu, 9 May 2019 20:00:05 +0200

On Thu, May 09, 2019 at 10:11:53AM +0000, Jose Abreu wrote:
> From: Corentin Labbe <[email-masked]>
> Date: Thu, May 09, 2019 at 10:04:16
> 
> > What means 1 for "Perfect Filter UC" ?
> 
> Thank you for the testing :)
> 
> 1 means that either the expected packet was not received or that the 
> filter did not work.
> 
> For GMAC there is the need to set the HPF bit in order for the test to 
> pass. Do you have such bit in your HW ? It should be in EMAC_RX_FRM_FLT 
> register.

The problem was missing IFF_UNICAST_FLT, so netcore put the device in promiscous when adding an unicast address.

Next step will be to enable Flow Control, but I will start a new thread for that.

> 
> > I have added my patch below
> 
> Do you want me to add your patch to the series ? If you send me with 
> git-send-email I can apply it with your SoB.
> 

I will do.
I will send the patch for IFF_UNICAST_FLT appart since it fixes a bug.

Regards